net.minecraft.world.gen.structure

## Class ComponentNetherBridgeStairs

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentNetherBridgeStairs

-     public class ComponentNetherBridgeStairs
      extends StructureComponent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentNetherBridgeStairs(int par1, Random par2Random, StructureBoundingBox par3StructureBoundingBox, int par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
    `void` | `buildComponent(StructureComponent par1StructureComponent, List par2List, Random par3Random)` Initiates construction of the Structure Component picked, at the current Location of StructGen
    `static ComponentNetherBridgeStairs` | `createValidComponent(List par0List, Random par1Random, int par2, int par3, int par4, int par5, int par6)` Creates and returns a new component piece.

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `findIntersecting, getBoundingBox, getCenter, getComponentType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentNetherBridgeStairs

          public ComponentNetherBridgeStairs(int par1,
                                     Random par2Random,
                                     StructureBoundingBox par3StructureBoundingBox,
                                     int par4)

  - ### Method Detail

    - #### buildComponent

          public void buildComponent(StructureComponent par1StructureComponent,
                            List par2List,
                            Random par3Random)

      Initiates construction of the Structure Component picked, at the current Location of StructGen
      Overrides:
        `buildComponent` in class `StructureComponent`

    - #### createValidComponent

          public static ComponentNetherBridgeStairs createValidComponent(List par0List,
                                                         Random par1Random,
                                                         int par2,
                                                         int par3,
                                                         int par4,
                                                         int par5,
                                                         int par6)

      Creates and returns a new component piece. Or null if it could not find enough room to place it.

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
      Specified by:
        `addComponentParts` in class `StructureComponent`